Subject: Re: [Isis-wg] Link-State Routing WG charter

From: Alia Atlas <[email-masked]>
Date: Mon, 5 Feb 2018 13:02:16 -0500

To finish this up, I also got a better wording suggestion from Hannes for
the data-center support.
The charter is on the IESG telechat this Thurs for internal review.  There
will still be a couple weeks
for the external review before it is finally approved.

Please take a look at https://datatracker.ietf.org/doc/charter-ietf-lsr/
(charter-ietf-lsr-00-06) for the
current proposed charter text.  That is also copied below:

==============

The Link-State Routing (LSR) Working Group is chartered to document
current protocol implementation practices and improvements, protocol usage
scenarios, maintenance and extensions of link-state routing interior gateway
protocols (IGPs) with a focus on IS-IS, OSPFv2, and OSPFv3.  The LSR Working
Group is formed by merging the isis and ospf WGs and will take on all their
existing adopted work at the time of chartering.

IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002 and
additional RFC standards with extensions to support IP that has been
deployed
in the Internet for decades.  For the IS-IS protocol, LSR-WG’s work is
focused
on IP routing, currently based on the agreement in RFC 3563 with
ISO/JTC1/SC6.
The LSR-WG will interact with other standards bodies that have responsible
for
standardizing IS-IS. LSR-WG will continue to support Layer 2 routing (for
example TRILL work) as needed.

OSPFv2 [RFC 2328 and extensions], is an IGP that has been deployed in the
Internet for decades. OSPFv3 [RFC5340 and extensions] provides OSPF for IPv6
and IPv4 [RFC5838] which can be delivered over IPv6 or IPv4 [RFC 7949].

The LSR Working Group will generally manage its specific work items by
milestones agreed with the responsible Area Director.

In addition to ongoing maintenance, the following topics are expected to be
among the work-items at the time of chartering.

1) Improving OSPF support for IPv6 and extensions using OSPFv3 LSA
Extendibility.

2) Extensions needed for Segment Routing and associated architectural
changes

3) YANG models for IS-IS, OSPFv2, and OSPFv3 and extensions

4) Extensions for source-destination routing
[draft-ietf-rtgwg-dst-src-routing]

5) Improving the transport/io/flooding behavior of the protocols to better
support
   dense meshed network topologies, such as are commonly used in data
centers.

The Link-State Routing (LSR) Working Group will coordinate with other
working
groups, such as RTGWG, SPRING, MPLS, TEAS, PCE, V6OPS, and 6MAN, to
understand
the need for extensions and to confirm that the planned work meets the needs
and is compatible with IS-IS and/or OSPF from functional, architectural and
performance point of views.  LSR-WG will coordinate with CCAMP and BIER on
their extensions to the LSR IGPs as applicable to LSR protocol operation and
scale.  LSR-WG should coordinate with other WGs as needed.

=============

Regards,
Alia

On Thu, Jan 25, 2018 at 10:07 PM, Alia Atlas <[email-masked]> wrote:

> Andrew,
>
>
> I like that improvement.
>
> Thanks,
> Alia
>
> On Thu, Jan 25, 2018 at 9:06 PM, Dolganow, Andrew (Nokia - SG/Singapore) <
> [email-masked]> wrote:
>
>> One comment – I would add a bit of text at the end of the below-quoted
>> sentence to ensure that “extensions planned to meet the needs” do not
>> create stability/performance problems to IGPs. I proposed a text in red for
>> that:
>>
>>
>>
>> The Link-State Routing (LSR) Working Group will coordinate with other
>> working groups, such as RTGWG, SPRING, MPLS, TEAS, V6OPS, and 6MAN, to
>> understand the need for extensions and to confirm that the planned work
>> meets the needs and is compatible with both IS-IS and OSPF from
>> functional, architectural and performance point of views
>>
>>
>>
>> Andrew
>>
>>
>>
>> *From: *Isis-wg <[email-masked]> on behalf of Alia Atlas <
>> [email-masked]>
>> *Date: *Thursday, January 25, 2018 at 1:19 AM
>> *To: *"[email-masked]" <[email-masked]>, OSPF List <[email-masked]>
>> *Subject: *[Isis-wg] Link-State Routing WG charter
>>
>>
>>
>> Here is the proposed charter for the LSR working group
>>
>> that will be created from the SPF and ISIS working groups.
>>
>>
>>
>> This is scheduled for internal review for the IESG telechat on February 8.
>>
>>
>>
>> https://datatracker.ietf.org/doc/charter-ietf-lsr/
>>
>>
>>
>> The Link-State Routing (LSR) Working Group is chartered to document
>> current protocol implementation practices and improvements, protocol usage
>> scenarios, maintenance and extensions of link-state routing interior
>> gateway protocols (IGPs) with a focus on IS-IS, OSPFv2, and OSPFv3.  The
>> LSR Working Group is formed by merging the isis and ospf WGs and will take
>> on all their existing adopted work at the time of chartering.
>>
>>
>>
>> IS-IS is an IGP specified and standardized by ISO through ISO 10589:2002
>> and additional RFC standards with extensions to support IP that has been
>> deployed in the Internet for decades.  For the IS-IS protocol, LSR’s work
>> is focused on IP routing, currently based on the agreement in RFC 3563 with
>> ISO/JTC1/SC6. The LSR WG will interact with other standards bodies that
>> have responsible for standardizing IS-IS.
>>
>>
>>
>> OSPFv2 [RFC 2328 and extensions], is an IGP that has been deployed in the
>> Internet for decades. OSPFv3 [RFC5340 and extensions] provides OSPF for
>> IPv6 and IPv4 [RFC5838] which can be delivered over IPv6 or IPv4 [RFC 7949].
>>
>>
>>
>> The LSR Working Group will generally manage its specific work items by
>> milestones agreed with the responsible Area Director.
>>
>>
>>
>> The following topics are expected to be an initial focus:
>>
>>
>>
>> 1) Improving OSPF support for IPv6 and extensions using OSPFv3 LSA
>> Extendibility.
>>
>> 2) Extensions needed for Segment Routing and associated architectural
>> changes
>>
>> 3) YANG models for IS-IS, OSPFv2, and OSPFv3 and extensions
>>
>> 4) Extensions for source-destination routing
>> [draft-ietf-rtgwg-dst-src-routing]
>>
>> 5) Potentially, extensions to better support specific network topologies
>> such as
>>
>> ones commonly used in data centers.
>>
>>
>>
>> The Link-State Routing (LSR) Working Group will coordinate with other
>> working groups, such as RTGWG, SPRING, MPLS, TEAS, V6OPS, and 6MAN, to
>> understand the need for extensions and to confirm that the planned work
>> meets the needs.  LSR can coordinate with CCAMP and BIER on their
>> extensions to the LSR IGPs as useful.  LSR may coordinate with other WGs as
>> needed.
>>
>>
>>
>> Regards,
>>
>> Alia
>>
>
>